#!/bin/sh
#
# Generate version.h.

if [ -f ../inc/version.h ] ; then
BUILD=`fgrep '#define BUILD' ../inc/version.h | sed 's/^#define BUILD.*"\([0-9]*\)".*$/\1/'`
BUILD=`expr $BUILD + 1`
else
	BUILD=1
fi

cat >../inc/version.h <<EOF
/* Version information

   OperStats - Copyright (c) 2000-2001 Darcy Grexton
   Contact: cygnus@uniserve.ca, skold @ HabberNet, ICQ #6285178

   This program is free but copyrighted software; see the file COPYING
   for details.
 */

#define BUILD "$BUILD"

const char version[] = "$1";
const char build[] = "$BUILD";
const char compile_time[] = "`date | \
awk '{if (NF == 6) \
	 { print $1 " "  $2 " " $3 " "  $6 " at " $4 " " $5 } \
else \
	 { print $1 " "  $2 " " $3 " " $7 " at " $4 " " $5 " " $6 }}'`";

const char *infotext[] =
{
    "OperStats --",
    "Copyright (c) 2000-2001 Darcy Grexton <cygnus@uniserve.ca>",
    " ",
    "This program is free software, you can redistribute it and/or",
    "modify it under the terms of the GNU General Public License as",
    "published by the Free Software Foundation; either version 1, or",
    "(at your option) any later version.",
    " ",
    "This program contains bits and pieces of code from several other",
    "programs, most notably Andy Church (now under the care of",
    "Andrew Kempe)'s IRC Services package. It wouldn't be fair to take",
    "credit for this entire program without acknowledging that alot of",
    "the basic code that makes this program possible came from that",
    "program. - skold",
    " ",
    0,
};
EOF
